# Asterisk Project : Asterisk 13 AGICommand_get full variable

Created by wikibot on Aug 08, 2014

# GET FULL VARIABLE

### Synopsis

Evaluates a channel expression

### Description

Returns `0` if variablename is not set or channel does not exist. Returns `1` if variablename is set and returns the variable in parenthesis. Understands complex variable names and builtin variables, unlike GET VARIABLE.

Example return code: 200 result=1 (testvariable)

### Syntax

    GET FULL VARIABLE VARIABLENAME CHANNEL NAME

##### Arguments

- `variablename`
- `channel name`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538